Index: trunk/admin/modules/Elezioni/ele_cons_comuni.php
===================================================================
--- trunk/admin/modules/Elezioni/ele_cons_comuni.php	(revision 256)
+++ trunk/admin/modules/Elezioni/ele_cons_comuni.php	(revision 257)
@@ -13,6 +13,6 @@
 }
 
+$aid=$_SESSION['aid'];
 global $dbi;
-$aid=$_SESSION['aid'];
 $prefix=$_SESSION['prefix'];
 if($param)
@@ -23,9 +23,10 @@
 $perms=ChiSei(0);
 if ($perms<64 or !$id_cons_gen) die("Non hai i permessi per inserire dati, o non hai scelto la consultazione!");
+$sql="SELECT tipo_cons,descrizione FROM ".$prefix."_ele_consultazione where id_cons_gen='$id_cons_gen' ";
+$res = $dbi->prepare("$sql");
+$res->execute();	
+list($tipo_cons,$descr_cons) = $res->fetch(PDO::FETCH_NUM);
 include("modules/Elezioni/funzionidata.php");
 include("modules/Elezioni/ele.php");
-$row=descr_cons();
-$tipo_cons=$row[0];$descr_cons=$row[2];
-
 if (isset($param['do'])) get_magic_quotes_gpc() ? $do=$param['do']:$do=addslashes($param['do']); else $do='';
 if (isset($param['ok'])) get_magic_quotes_gpc() ? $ok=$param['ok']:$ok=addslashes($param['ok']); else $ok='';
@@ -49,11 +50,13 @@
 
 	if (isset($help)) include("language/$language/ele_cons_comuni.html");
-	$row=descr_comune();
-	$res = mysql_query("SELECT id_cons FROM ".$prefix."_ele_comuni where id_comune=$id_comune", $dbi);
-	if (count($row)) $idpred = $row[2]; else $idpred='';
-#	$res = mysql_query("SELECT t1.id_cons, t2.descrizione FROM ".$prefix."_ele_cons_comune as t1 left join ".$prefix."_ele_consultazione as t2 on t1.id_cons_gen=t2.id_cons_gen where t1.id_comune='$id_comune' " , $dbi);
-	$row=elenco_cons_comune();
-	
-	$max = count($row);
+
+	$sql="SELECT id_cons FROM ".$prefix."_ele_comuni where id_comune=$id_comune";
+	$res = $dbi->prepare("$sql");
+	$res->execute();	
+	if ($res->rowCount()) list($idpred) = $res->fetch(PDO::FETCH_NUM); else $idpred='';
+	$sql="SELECT t1.id_cons, t2.descrizione FROM ".$prefix."_ele_cons_comune as t1 left join ".$prefix."_ele_consultazione as t2 on t1.id_cons_gen=t2.id_cons_gen where t1.id_comune='$id_comune' ";
+	$res = $dbi->prepare("$sql");
+	$res->execute();	
+	$max = $res->rowCount();
 	echo "<table border=\"0\" width=\"100%\" align=\"left\"><tr><td>";
 	echo "<form name=\"imppred\" action=\"admin.php\">";
@@ -61,5 +64,5 @@
    	."&nbsp;<b>"._CONSPRED."</b>&nbsp;</td><td><select name=\"predefinita\">";
 	echo "<option value=\"\">";
-	foreach($row as $arr){
+	while($arr=$res->fetch(PDO::FETCH_BOTH)){
 		$sel='';
 		if (($idpred))
@@ -80,17 +83,14 @@
 	."<td bgcolor=\"$bgcolor1\" align=\"center\"><b>"._COPIA." "._NUM." "._ELETTORI."</b></td>"
 	."<td bgcolor=\"$bgcolor1\" align=\"center\"><b>"._FUNZIONI."</b></td></tr>";
-	$sql = "select t2.chiusa,t2.id_cons,t1.* from ".$prefix."_ele_consultazione as t1, ".$prefix."_ele_cons_comune as t2, ".$prefix."_ele_tipo as t3 where t1.tipo_cons=t3.tipo_cons and t2.id_comune='$id_comune' and t1.id_cons_gen=t2.id_cons_gen and t2.id_cons!=$id_cons ORDER BY data_fine desc LIMIT $min,$offset";
-	$sth = $dbi->prepare("$sql");
-	$sth->execute();	
-	$row = $sth->fetchAll();
+	$sql="select t2.chiusa,t2.id_cons,t1.* from ".$prefix."_ele_consultazione as t1, ".$prefix."_ele_cons_comune as t2, ".$prefix."_ele_tipo as t3 where t1.tipo_cons=t3.tipo_cons and t2.id_comune='$id_comune' and t1.id_cons_gen=t2.id_cons_gen and t2.id_cons!=$id_cons ORDER BY data_fine desc LIMIT $min,$offset";
+	$res = $dbi->prepare("$sql");
+	$res->execute();	
 	$i=0;
-	foreach($row as $arr) {
-		$chiusa=$arr[0];$id_cons2=$arr[1];$idconsgen2=$arr[2]; $descr_cons=$arr[3]; $data_inizio=$arr[4]; $data_fine=$arr[5];$tipo=$arr[6];
+	while(list($chiusa,$id_cons2,$idconsgen2, $descr_cons, $data_inizio, $data_fine,$tipo) = $res->fetch(PDO::FETCH_NUM)) {
 		$bgcolor1=($bgcolor1==$_SESSION['bgcolor1'])?$_SESSION['bgcolor2']:$_SESSION['bgcolor1'];
-		$sql = "select count(id_cons) from ".$prefix."_ele_sezioni where id_cons='$id_cons2'";
-		$sth = $dbi->prepare("$sql");
-		$sth->execute();	
-		$row = $sth->fetch(PDO::FETCH_BOTH);
-		$somma=$row[0];
+		$sql="select count(id_cons) from ".$prefix."_ele_sezioni where id_cons='$id_cons2'";
+		$ressez = $dbi->prepare("$sql");
+		$ressez->execute();	
+		list($somma)=$ressez->fetch(PDO::FETCH_NUM);
 		$data_inizio=form_data($data_inizio);$data_fine=form_data($data_fine);
 		echo "<tr bgcolor=\"$bgcolor1\" align=\"center\" ><td align=\"left\" ><a href=\"admin.php?op=cons_comuni&amp;id_cons_gen=$idconsgen2\"><b>$descr_cons</b></a></td>"
@@ -151,80 +151,63 @@
 if ($perms>32) {
 	$sql="select id_cons from ".$prefix."_ele_cons_comune where id_cons_gen='$id_cons_gen' and id_comune=$id_comune";
-	$sth = $dbi->prepare("$sql");
-	$sth->execute();	
-	$row = $sth->fetch(PDO::FETCH_BOTH);
-	$id_consulta=$row[0];
+	$res = $dbi->prepare("$sql");
+	$res->execute();	
+	list($id_consulta)=$res->fetch(PDO::FETCH_NUM);
 	$sql="select t1.descrizione from ".$prefix."_ele_consultazione as t1, ".$prefix."_ele_cons_comune as t2 where t2.id_cons='$id_cons2' and t1.id_cons_gen=t2.id_cons_gen";
-	$sth = $dbi->prepare("$sql");
-	$sth->execute();	
-	$row = $sth->fetch(PDO::FETCH_BOTH);
-		
-	$descr_cons2=$row[0];
+	$res = $dbi->prepare("$sql");
+	$res->execute();	
+	list($descr_cons2)=$res->fetch(PDO::FETCH_NUM);
 	if ($do == "add") {
 		if ($id_cons2) {
 			// copia circoscrizione
-			$sql="select * from ".$prefix."_ele_circoscrizione where id_cons='$id_consulta'";
-			$sth = $dbi->prepare("$sql");
-			$sth->execute();	
-			$row = $sth->fetchAll();
-			foreach($row as $arr){
-				$id=$arr[0];$idcirc=$arr[1];$num=$arr[2];$des2=$arr[3];
-				$des=addslashes($des2);
-				$sql="select count(0) from ".$prefix."_ele_circoscrizione where id_cons='$id_cons2' and num_circ='$num'";
-				$sth = $dbi->prepare("$sql");
-				$sth->execute();	
-				$row = $sth->fetch(PDO::FETCH_BOTH);
-				$contr_circ=$row[0];
-				if (! $contr_circ){
-					sql="insert into ".$prefix."_ele_circoscrizione (id_cons,num_circ,descrizione) values ('$id_cons2',$num,'$des')";
-					$sth = $dbi->prepare("$sql");
-					$sth->execute();	
-
-				}
+			$res=mysql_query("select * from ".$prefix."_ele_circoscrizione where id_cons='$id_consulta'", $dbi);
+			$res = $dbi->prepare("$sql");
+			$res->execute();	
+			while (list($id,$idcirc,$num,$des2)=$res->fetch(PDO::FETCH_NUM)){
+			$des=addslashes($des2);
+			$sql="select count(0) from ".$prefix."_ele_circoscrizione where id_cons='$id_cons2' and num_circ='$num'";
+			$resconnew = $dbi->prepare("$sql");
+			$resconnew->execute();	
+			list($contr_circ)=$resconnew->fetch(PDO::FETCH_NUM);
+			if (! $contr_circ){
+				$sql="insert into ".$prefix."_ele_circoscrizione (id_cons,num_circ,descrizione) values ('$id_cons2',$num,'$des')";
+				$res = $dbi->prepare("$sql");
+				$res->execute();	
+}
 				$sql="select id_circ from ".$prefix."_ele_circoscrizione where id_cons=$id_cons2 and num_circ=$num";
-				$sth = $dbi->prepare("$sql");
-				$sth->execute();	
-				$row = $sth->fetch(PDO::FETCH_BOTH);
-				$id_circ=$row[0];
+				$res0 = $dbi->prepare("$sql");
+				$res0->execute();	
+				list($id_circ)=$res0->fetch(PDO::FETCH_NUM);
 				// copia sede
 				$sql="select * from ".$prefix."_ele_sede where id_cons='$id_consulta' and id_circ='$idcirc'";
-				$sth = $dbi->prepare("$sql");
-				$sth->execute();	
-				$row = $sth->fetchAll();
-				foreach($row as $row2) {
-					$id1=$row2[0];$idsede1=$row2[1];$idcirc1=$row2[2];$ind2=$row2[3];$tel=$row2[4];$tel2=$row2[5];$fax=$row2[6];$resp=$row2[7];$mappa2=$row2[8];$filemappa2=$row2[9];
+				$res1 = $dbi->prepare("$sql");
+				$res1->execute();	
+				while(list($id1,$idsede1,$idcirc1,$ind2,$tel,$tel2,$fax,$resp,$mappa2,$filemappa2)=$res1->fetch(PDO::FETCH_NUM)){
 					$filemappa=addslashes($filemappa2);
 					$mappa=addslashes($mappa2);
 					$ind=addslashes($ind2);
 					$sql="select count(0) from ".$prefix."_ele_sede where id_cons='$id_cons2' and indirizzo='$ind'";
-					$sth = $dbi->prepare("$sql");
-					$sth->execute();	
-					$row = $sth->fetch(PDO::FETCH_BOTH);
-					$contr_sed=$row[0];
+					$resswdnew = $dbi->prepare("$sql");
+					$ressednew->execute();	
+					list($contr_sed)=$ressednew->fetch(PDO::FETCH_NUM);
 					if (! $contr_sed){
-						$sql="insert into ".$prefix."_ele_sede (id_cons,id_circ,indirizzo,telefono1,telefono2,fax,responsabile,mappa,filemappa) values ('$id_cons2','$id_circ','$ind','$tel','$tel2','$fax','$resp','$mappa','$filemappa')";
-						$sth = $dbi->prepare("$sql");
-						$sth->execute();	
-					}
-					$sql"select id_sede from ".$prefix."_ele_sede where id_cons=$id_cons2 and id_circ=$id_circ and indirizzo='$ind'";
-					list($id_sede)=mysql_fetch_row($res2);
-					$sth = $dbi->prepare("$sql");
-					$sth->execute();	
-					$row = $sth->fetch(PDO::FETCH_BOTH);
-					$id_sede=$row[0];
+					$sql="insert into ".$prefix."_ele_sede (id_cons,id_circ,indirizzo,telefono1,telefono2,fax,responsabile,mappa,filemappa) values ('$id_cons2','$id_circ','$ind','$tel','$tel2','$fax','$resp','$mappa','$filemappa')";
+					$res0 = $dbi->prepare("$sql");
+					$res0->execute();	
+}
+					$sql="select id_sede from ".$prefix."_ele_sede where id_cons=$id_cons2 and id_circ=$id_circ and indirizzo='$ind'";
+					$res2 = $dbi->prepare("$sql");
+					$res2->execute();	
+					list($id_sede)=$res2->fetch(PDO::FETCH_NUM);
 					//copia sezione
 					$sql="select * from ".$prefix."_ele_sezioni where id_cons=$id_consulta and id_sede=$idsede1";
-					$sth = $dbi->prepare("$sql");
-					$sth->execute();	
-					$row = $sth->fetchAll();
-					foreach($row as $arr2)
-					{
-						$id3=$arr2[0];$idsez3=$arr2[1];$idsede3=$arr2[2];$numero=$arr2[3];$maschi3=$arr2[4];$femmine3=$arr2[5];$validi3=$arr2[6];$nulli3=$arr2[7];
-						$bianchi3=$arr2[8];$contest3=$arr2[9];$sg3,$aut_m=$arr2[10];$aut_f=$arr2[11];
+					$res3 = $dbi->prepare("$sql");
+					$res3->execute();	
+					while (list($id3,$idsez3,$idsede3,$numero,$maschi3,$femmine3,$validi3,$nulli3,
+						$bianchi3,$contest3,$sg3,$aut_m,$aut_f)=$res3->fetch(PDO::FETCH_NUM)){
 						if ($elettori=='true') $sql="insert into ".$prefix."_ele_sezioni (id_cons,id_sede,num_sez,maschi,femmine) values ('$id_cons2','$id_sede','$numero','$maschi3','$femmine3')";
 						else $sql="insert into ".$prefix."_ele_sezioni (id_cons,id_sede,num_sez) values ('$id_cons2','$id_sede','$numero')";
-						$sth = $dbi->prepare("$sql");
-						$sth->execute();	
-
+						$res3 = $dbi->prepare("$sql");
+						$res3->execute();	
 					}
 				}
@@ -240,23 +223,21 @@
 		}else{
 		$sql="update ".$prefix."_ele_sezioni as t1, ".$prefix."_ele_sezioni as t2 set t1.maschi=t2.maschi, t1.femmine=t2.femmine WHERE t1.id_cons=$id_cons2 and t2.id_cons=$id_consulta and t1.num_sez=t2.num_sez";
-		$sth = $dbi->prepare("$sql");
-		$result=$sth->execute();	
-
-		if (!$result) return;
+		$result = $dbi->prepare("$sql");
+		$result->execute();	
+		if (!$result->rowCount()) return;
 		Header("Location: admin.php?op=cons_comuni&id_cons_gen=$id_cons_gen");
 		}
    	} 
 	if ($do == "update") {
-		if ($predefinita) 
-		{
+		if ($predefinita) {
 			$sql="update  ".$prefix."_ele_comuni set  id_cons='$predefinita' WHERE id_comune='$id_comune'";
-			$sth = $dbi->prepare("$sql");
-			$result=$sth->execute();	
+			$result = $dbi->prepare("$sql");
+			$result->execute();	
 		}else{
-			$sql"update  ".$prefix."_ele_cons_comune set  chiusa='$chiusa' WHERE id_cons2='$id_cons2'";
-			$sth = $dbi->prepare("$sql");
-			$result=$sth->execute();	
-		}
-			if (!$result) return;
+			$sql="update  ".$prefix."_ele_cons_comune set  chiusa='$chiusa' WHERE id_cons2='$id_cons2'";
+			$result = $dbi->prepare("$sql");
+			$result->execute();	
+		}
+		if (!$result->rowCount()) return;
 		Header("Location: admin.php?op=cons_comuni&id_cons_gen=$id_cons_gen");
    	} 
Index: trunk/admin/modules/Elezioni/ele_consultazioni.php
===================================================================
--- trunk/admin/modules/Elezioni/ele_consultazioni.php	(revision 256)
+++ trunk/admin/modules/Elezioni/ele_consultazioni.php	(revision 257)
@@ -12,5 +12,5 @@
     die ("You can't access this file directly...");
 }
-global $dbi;
+global $dbi,$tipo_cons;
 $aid=$_SESSION['aid'];
 $prefix=$_SESSION['prefix'];
@@ -266,5 +266,5 @@
 			$sth = $dbi->prepare("$sql");
 			$sth->execute();	
-			if (!$result) return;
+			if (!$sth->rowCount()) return;
 			Header("Location: admin.php?op=consultazione&id_cons_gen=$id_cons_gen");
    		}
Index: trunk/admin/modules/Elezioni/ele_consultazionitipi.php
===================================================================
--- trunk/admin/modules/Elezioni/ele_consultazionitipi.php	(revision 256)
+++ trunk/admin/modules/Elezioni/ele_consultazionitipi.php	(revision 257)
@@ -12,7 +12,6 @@
     die ("You can't access this file directly...");
 }
-
+global $dbi;
 $aid=$_SESSION['aid'];
-$dbi=$_SESSION['dbi'];
 $prefix=$_SESSION['prefix'];
 $param=strtolower($_SERVER['REQUEST_METHOD']) == 'get' ? $_GET : $_POST;
@@ -21,6 +20,8 @@
 //if ($perms<128 or !$id_cons_gen) die("Non hai i permessi per inserire dati, o non hai scelto la consultazione!");
 if ($perms!=256) die("Non hai i permessi per inserire dati, o non hai scelto la consultazione!");
-$res = mysql_query("SELECT tipo_cons FROM ".$prefix."_ele_consultazione where id_cons_gen=$id_cons_gen " , $dbi);
-list($tipo_cons) = mysql_fetch_row($res);
+$sql="SELECT tipo_cons FROM ".$prefix."_ele_consultazione where id_cons_gen=$id_cons_gen ";
+$res = $dbi->prepare("$sql");
+$res->execute();	
+list($tipo_cons) = $res->fetch(PDO::FETCH_NUM);
 
 if (isset($param['min'])) $min=intval($param['min']); else $min=0;
@@ -91,6 +92,8 @@
 	echo "</script>\n";
 	if ($do == "modify") {
-		$rest = mysql_query("SELECT * FROM ".$prefix."_ele_tipo where tipo_cons='$tipocons' and lingua='$language'", $dbi);
-		$pro_t=mysql_fetch_array($rest, 3);
+		$sql="SELECT * FROM ".$prefix."_ele_tipo where tipo_cons='$tipocons' and lingua='$language'";
+		$rest = $dbi->prepare("$sql");
+		$rest->execute();
+		$pro_t=$rest->fetch(PDO::FETCH_BOTH);
 
 		echo "<form name=\"consultazione\" method=\"post\" action=\"admin.php\" >"
@@ -150,10 +153,8 @@
 	."<td bgcolor=\"$bgcolor1\" align=\"center\"><b>"._FUNZIONI."</b></td></tr>";
 
-		$result = mysql_query("SELECT tipo_cons,descrizione FROM ".$prefix."_ele_tipo where lingua='$language' LIMIT $min,$offset", $dbi);
-		
-
-
-
-	while(list($tipocons, $descr_cons) = mysql_fetch_row($result)) {
+	$sql="SELECT tipo_cons,descrizione FROM ".$prefix."_ele_tipo where lingua='$language' LIMIT $min,$offset";
+	$result = $dbi->prepare("$sql");
+	$result->execute();
+	while(list($tipocons, $descr_cons) = $result->fetch(PDO::FETCH_NUM)) {
 		
 		$bgcolor1=($bgcolor1==$_SESSION['bgcolor1'])?$_SESSION['bgcolor2']:$_SESSION['bgcolor1'];
@@ -173,6 +174,8 @@
 	}
 	$next=$min+$offset;
-	$res = mysql_query("SELECT * FROM ".$prefix."_ele_tipo where lingua='$language' " , $dbi);
-	$max = mysql_num_rows($res);
+	$sql="SELECT * FROM ".$prefix."_ele_tipo where lingua='$language' ";
+	$res = $dbi->prepare("$sql");
+	$res->execute();	
+	$max = $res->rowCount();
 	if ($next>=($offset-1)) {
 		if($next>=$max) $next = $max;
@@ -208,15 +211,21 @@
 				$voticandi=$voticandi=='true'? 1:0;
 				$circo=$circo=='true'? 1:0;
-				$result = mysql_query("select max(tipo_cons) from ".$prefix."_ele_tipo where lingua='$language'", $dbi);
-				list($max)=mysql_fetch_row($result);
+				$sql="select max(tipo_cons) from ".$prefix."_ele_tipo where lingua='$language'";
+				$result = $dbi->prepare("$sql");
+				$result->execute();				
+				list($max)=$result->fetch(PDO::FETCH_NUM);
 				$max++;
 
-				$result = mysql_query("insert into ".$prefix."_ele_tipo (tipo_cons,descrizione,lingua,genere,voto_g,voto_l,voto_c,circo) values ('$max','$descr_cons2','$language','$genere','$votigruppo','$votilista','$voticandi','$circo')", $dbi) || die("Errore di inserimento: ".mysql_error());
+				$sql="insert into ".$prefix."_ele_tipo (tipo_cons,descrizione,lingua,genere,voto_g,voto_l,voto_c,circo) values ('$max','$descr_cons2','$language','$genere','$votigruppo','$votilista','$voticandi','$circo')";
+				$result = $dbi->prepare("$sql");
+				$result->execute();				
 
 
 			}
 		}else if ($do == "update") {
-			$result = mysql_query("update  ".$prefix."_ele_tipo set descrizione='$descr_cons2' WHERE tipo_cons='$tipocons' and lingua='$language'", $dbi);
-			if (!$result) return;
+			$sql="update  ".$prefix."_ele_tipo set descrizione='$descr_cons2' WHERE tipo_cons='$tipocons' and lingua='$language'";
+			$result = $dbi->prepare("$sql");
+			$result->execute();				
+			if (!$result->rowCount()) return;
 			Header("Location: admin.php?op=constipi&id_cons_gen=$id_cons_gen");
    		}
Index: trunk/admin/modules/Elezioni/ele_gruppo.php
===================================================================
--- trunk/admin/modules/Elezioni/ele_gruppo.php	(revision 256)
+++ trunk/admin/modules/Elezioni/ele_gruppo.php	(revision 257)
@@ -15,7 +15,6 @@
 // Offset - visualizza il numero di elementi per pagina
 $offset=5;
-
+global $dbi;
 $aid=$_SESSION['aid'];
-$dbi=$_SESSION['dbi'];
 $prefix=$_SESSION['prefix'];
 $currentlang=$_SESSION['lang'];
@@ -25,6 +24,8 @@
 if ($perms<32 or !$id_cons_gen) die("Non hai i permessi per inserire dati, o non hai scelto la consultazione!");
 $id_comune=$_SESSION['id_comune'];
-$res = mysql_query("SELECT t1.tipo_cons,t2.id_cons FROM ".$prefix."_ele_consultazione as t1, ".$prefix."_ele_cons_comune as t2 where t1.id_cons_gen=t2.id_cons_gen and t2.id_cons_gen='$id_cons_gen' and t2.id_comune='$id_comune' " , $dbi);
-list($tipo_cons,$id_cons) = mysql_fetch_row($res);
+$sql="SELECT t1.tipo_cons,t2.id_cons FROM ".$prefix."_ele_consultazione as t1, ".$prefix."_ele_cons_comune as t2 where t1.id_cons_gen=t2.id_cons_gen and t2.id_cons_gen='$id_cons_gen' and t2.id_comune='$id_comune' ";
+$res = $dbi->prepare("$sql");
+$res->execute();				
+list($tipo_cons,$id_cons) = $res->fetch(PDO::FETCH_NUM);
 
 include("modules/Elezioni/funzionidata.php");
@@ -48,15 +49,19 @@
 	function all() {
    		global $delsimb,$delprog,$tipo_cons,$param,$currentlang, $bgcolor1, $bgcolor2, $prefix, $dbi, $offset, $min, $id_cons,$id_cons_gen,$id_comune,$id_circ,$do,$id_gruppo;
-	$res = mysql_query("SELECT circo FROM ".$prefix."_ele_tipo where tipo_cons='$tipo_cons' and lingua='$currentlang'", $dbi);
-	list($cons_circ)= mysql_fetch_row($res);
+	$sql="SELECT circo FROM ".$prefix."_ele_tipo where tipo_cons='$tipo_cons' and lingua='$currentlang'";
+	$res = $dbi->prepare("$sql");
+	$res->execute();				
+	list($cons_circ)= $res->fetch(PDO::FETCH_NUM);
 	if($cons_circ)
 	{
 		echo "<form name=\"circo\" action=\"admin.php\" method=\"post\">";
 		echo "<br><table border=\"1\" width=\"50%\" ><tr bgcolor=\"$bgcolor1\"><td>"._SCEGLI_CIRCO.": </td>";
-		$res = mysql_query("SELECT * FROM ".$prefix."_ele_circoscrizione where id_cons='$id_cons'", $dbi);
+		$sql="SELECT * FROM ".$prefix."_ele_circoscrizione where id_cons='$id_cons'";
+		$res = $dbi->prepare("$sql");
+		$res->execute();						
 		echo "<input type=\"hidden\" name=\"pag\" value=\"admin.php?op=gruppo&amp;id_cons_gen=$id_cons_gen&amp;id_circ=\">";
 		echo "<td><select name=\"id_circ\" onChange=\"top.location.href=this.form.pag.value+this.form.id_circ.options[this.form.id_circ.selectedIndex].value;return false\">";
 		echo "<option value=\"\">";
-		while($arr=mysql_fetch_array($res,3)){
+		while($arr=$res->fetch(PDO::FETCH_BOTH)){
 			if (!$id_circ) $id_circ=$arr['id_circ'];
 			$sel= ($arr['id_circ'] == $id_circ) ? "selected":"";
@@ -87,11 +92,15 @@
 	//-----------------------visualizza riga superiore per inserimento -
 	$circo= $cons_circ==1 ? "and id_circ='$id_circ'":"";	
-	$res = mysql_query("SELECT * FROM ".$prefix."_ele_gruppo where id_cons='$id_cons' $circo ", $dbi);
-	$max = mysql_num_rows($res);
+	$sql="SELECT * FROM ".$prefix."_ele_gruppo where id_cons='$id_cons' $circo ";
+	$res = $dbi->prepare("$sql");
+	$res->execute();						
+	$max = $res->rowCount();
 	$nuovo_gruppo=$max+1;
 	echo "<tr><td>";
 	if ($do=='modify') {
-	$resl = mysql_query("SELECT * FROM ".$prefix."_ele_gruppo where id_gruppo='$id_gruppo'", $dbi);
-	$gru=mysql_fetch_array($resl);
+	$sql="SELECT * FROM ".$prefix."_ele_gruppo where id_gruppo='$id_gruppo'";
+	$resl = $dbi->prepare("$sql");
+	$resl->execute();						
+	$gru=$resl->fetch(PDO::FETCH_BOTH);
 	$nuovo_gruppo=$gru['num_gruppo'];
 	echo "<input type=\"hidden\" name=\"do\" value=\"update\">";
@@ -126,10 +135,16 @@
 		
 		
-	$res = mysql_query("SELECT * FROM ".$prefix."_ele_gruppo where id_cons='$id_cons' $circo ", $dbi);
-	$max = mysql_num_rows($res);
-	$result = mysql_query("select * from ".$prefix."_ele_gruppo where id_cons='$id_cons' $circo ORDER BY num_gruppo  LIMIT $min,$offset", $dbi);
-	while(list($id_cons2,$id_gruppo,$num_gruppo, $descr_gruppo, $simbolo,,, $prognome) = mysql_fetch_row($result)) {
-		$restemp = mysql_query("select count(0) from ".$prefix."_ele_lista where id_gruppo='$id_gruppo'", $dbi);
-		list($numtemp)=mysql_fetch_row($restemp);
+	$sql="SELECT * FROM ".$prefix."_ele_gruppo where id_cons='$id_cons' $circo ";
+	$res = $dbi->prepare("$sql");
+	$res->execute();						
+	$max = $res->rowCount();
+	$sql="select * from ".$prefix."_ele_gruppo where id_cons='$id_cons' $circo ORDER BY num_gruppo  LIMIT $min,$offset";
+	$result = $dbi->prepare("$sql");
+	$result->execute();						
+	while(list($id_cons2,$id_gruppo,$num_gruppo, $descr_gruppo, $simbolo,,, $prognome) = $result->fetch(PDO::FETCH_NUM)) {
+		$sql="select count(0) from ".$prefix."_ele_lista where id_gruppo='$id_gruppo'";
+		$restemp = $dbi->prepare("$sql");
+		$restemp->execute();						
+		list($numtemp)=$restemp->fetch(PDO::FETCH_NUM);
 		$bgcolor1=($bgcolor1==$_SESSION['bgcolor1'])?$_SESSION['bgcolor2']:$_SESSION['bgcolor1'];
 		if (!$simbolo) $simbolo="nulla.jpg";
@@ -183,22 +198,38 @@
 	if ($perms >16) {
        	if ($do == "delete") {  
-     			if ($ok !="1") {
+     		if ($ok !="1") {
 				ele();
 				echo "<center><br><br>"._DOMCANCELLA." "._GRUPPO." $descr_gruppo ?<br>";
 				echo "[ <a href=\"admin.php?op=gruppo&amp;id_cons_gen=$id_cons_gen&amp;id_circ=$id_circ\">"._NO."</a> ] - [<a href=\"admin.php?op=gruppo&amp;do=delete&amp;id_gruppo=$id_gruppo&amp;id_cons_gen=$id_cons_gen&amp;id_comune=$id_comune&amp;min=$min&amp;ok=1\">"._YES."</a> ]";exit;
-     			}else{
-				$reslis = mysql_query("select id_lista from ".$prefix."_ele_lista where id_gruppo='$id_gruppo'", $dbi);
-				while (list($idlst)=mysql_fetch_row($reslis)){
-				$rescan = mysql_query("select id_cand from ".$prefix."_ele_candidato where id_lista='$idlst'", $dbi);
-				while (list($idcnd)=mysql_fetch_row($rescan)){
-					mysql_query("delete from  ".$prefix."_ele_voti_candidati where id_cand='$idcnd'");
-					mysql_query("delete from  ".$prefix."_ele_candidati where id_cand='$idcnd'");
+     		}else{
+				$sql="select id_lista from ".$prefix."_ele_lista where id_gruppo='$id_gruppo'";
+				$reslis = $dbi->prepare("$sql");
+				$reslis->execute();						
+				while (list($idlst)=$reslis->fetch(PDO::FETCH_NUM)){
+					$sql="select id_cand from ".$prefix."_ele_candidato where id_lista='$idlst'";
+					$rescan = $dbi->prepare("$sql");
+					$rescan->execute();						
+					while (list($idcnd)=$rescan->fetch(PDO::FETCH_NUM)){
+						$sql="delete from  ".$prefix."_ele_voti_candidati where id_cand='$idcnd'";
+						$res = $dbi->prepare("$sql");
+						$res->execute();						
+						$sql="delete from  ".$prefix."_ele_candidati where id_cand='$idcnd'";
+						$res = $dbi->prepare("$sql");
+						$res->execute();						
+					}
+					$sql="delete from  ".$prefix."_ele_voti_lista where id_lista='$idlst'";
+					$res = $dbi->prepare("$sql");
+					$res->execute();						
+					$sql="delete from  ".$prefix."_ele_lista where id_lista='$idlst'";
+					$res = $dbi->prepare("$sql");
+					$res->execute();						
 				}
-				mysql_query("delete from  ".$prefix."_ele_voti_lista where id_lista='$idlst'");
-				mysql_query("delete from  ".$prefix."_ele_lista where id_lista='$idlst'");
-				}
-				$result = mysql_query("delete from ".$prefix."_ele_voti_gruppo where id_gruppo='$id_gruppo'", $dbi);
-				$result = mysql_query("delete from ".$prefix."_ele_gruppo where id_gruppo='$id_gruppo'", $dbi);
-          			if (!$result) return;
+				$sql="delete from ".$prefix."_ele_voti_gruppo where id_gruppo='$id_gruppo'";
+				$res = $dbi->prepare("$sql");
+				$res->execute();						
+				$sql="delete from ".$prefix."_ele_gruppo where id_gruppo='$id_gruppo'";
+				$res = $dbi->prepare("$sql");
+				$res->execute();						
+         		if (!$result) return;
 				Header("Location: admin.php?op=gruppo&id_cons_gen=$id_cons_gen&id_circ=$id_circ&min=$min");
 			}
@@ -230,6 +261,8 @@
 					$prognome=addslashes($nomeprog );
 				}
-      				$result = mysql_query("insert into ".$prefix."_ele_gruppo (id_cons,id_gruppo,num_gruppo,descrizione,simbolo,stemma,id_circ,prognome,programma) values ('$id_cons','$id_gruppo','$num_gruppo','$descr_gruppo','$stemmanome','$stemmablob','$id_circ','$prognome','$progblob')", $dbi);
-           			if (!$result) return;
+      			$sql="insert into ".$prefix."_ele_gruppo (id_cons,id_gruppo,num_gruppo,descrizione,simbolo,stemma,id_circ,prognome,programma) values ('$id_cons','$id_gruppo','$num_gruppo','$descr_gruppo','$stemmanome','$stemmablob','$id_circ','$prognome','$progblob')";
+ 				$result = $dbi->prepare("$sql");
+				$result->execute();						
+          			if (!$result->rowCount()) return;
            			Header("Location: admin.php?op=gruppo&id_cons_gen=$id_cons_gen&id_circ=$id_circ&min=$min");
      			} else {
@@ -276,5 +309,7 @@
 					else $cond2='';
 			}
-         		$result = mysql_query("update  ".$prefix."_ele_gruppo set num_gruppo='$num_gruppo' , descrizione='$descr_gruppo' $cond $cond2 where id_gruppo='$id_gruppo' ", $dbi) || die("Errore di aggiornamento dei dati!".mysql_error());
+         		$sql="update  ".$prefix."_ele_gruppo set num_gruppo='$num_gruppo' , descrizione='$descr_gruppo' $cond $cond2 where id_gruppo='$id_gruppo' ";
+ 				$result = $dbi->prepare("$sql");
+				$result->execute();						
 			Header("Location: admin.php?op=gruppo&id_cons_gen=$id_cons_gen&id_circ=$id_circ&min=$min");
    		}
